DOMAINNAME(1)

NAME
domainname - set or print YP domain of current host system

SYNOPSIS
domainname [name-of-domain]

DESCRIPTION
The domainname utility prints the YP domain name of the current host. The superuser can set the domain name by supplying a /etc/defaultdomain file (see defaultdomain(5)). This is used at system boot time by rc(8) to initialize the domainname.

SEE ALSO
hostname(1), getdomainname(3), setdomainname(3), defaultdomain(5), rc(8), yp(8)

HISTORY
The domainname utility is derived from the hostname(1) utility, which appeared in 4.2BSD. The domainname utility appeared in NetBSD 0.8.